Subject: bug#16028: 24.3.50; Latest build completely breaks my thumnail frames code

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Dec 2013 18:38:35 +0200

> Date: Thu, 12 Dec 2013 11:17:46 +0100
> From: martin rudalics <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> The trap your code fell into can be roughly described as follows:
> 
> (1) You ask for changing the pixel size of a frame by setting the font
>      size.  Emacs passes the request on to the window manager but on
>      Windows it does _not_ store the new pixel size of the frame.
> 
> (2) You ask for changing the pixel size of a frame by setting the
>      scrollbar width.
> 
> Now before my changes, (2) asked the window manager to change the pixel
> size of the frame based on its line/column sizes multiplied by the
> default font sizes.  After my changes, (2) asks to change the pixel size
> of the frame directly from the previously calculated pixel sizes.
> However, since on Windows (1) does not record the change of the pixel
> size caused by setting the font size, the request in (2) will be based
> on the pixel size of the frame before (1) was issued.

Since we can now resize a frame pixelwise with an explicit request
(right?), would it be possible to fix the above by

  (3) Ask for change of the frame size by giving explicit dimensions
      in pixel units.

?  If not, why not?